AppdefEntityNotFoundException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AppdefEntityNotFoundException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AppdefEntityNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.common.ApplicationException
                      org.hyperic.hq.common.ObjectNotFoundException
                          org.hyperic.hq.appdef.shared.AppdefEntityNotFoundException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AppdefGroupNotFoundException, ApplicationNotFoundException, PlatformNotFoundException, ServerNotFoundException, ServiceNotFoundException

    public abstract class AppdefEntityNotFoundException

extends ObjectNotFoundException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`protected` | `AppdefEntityNotFoundException(AppdefEntityID id)`
`protected` | `AppdefEntityNotFoundException(AppdefEntityID id, java.lang.String msg)`
`protected` | `AppdefEntityNotFoundException(AppdefEntityID id, java.lang.Throwable t)`
`protected` | `AppdefEntityNotFoundException(java.lang.String msg)`
`protected` | `AppdefEntityNotFoundException(java.lang.String msg, java.lang.Throwable t)`

Method Summary
`static AppdefEntityNotFoundException` | `build(AppdefEntityID id, java.lang.Exception e)` Create an exception of the appropriate subclass based on id.getType()
`abstract int` | `getAppdefType()`
`AppdefEntityID` | `getNotFoundID()`
`void` | `setNotFoundID(AppdefEntityID id)`

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppdefEntityNotFoundException

    protected AppdefEntityNotFoundException(java.lang.String msg)

### AppdefEntityNotFoundException

    protected AppdefEntityNotFoundException(java.lang.String msg,
                                            java.lang.Throwable t)

### AppdefEntityNotFoundException

    protected AppdefEntityNotFoundException(AppdefEntityID id,
                                            java.lang.String msg)

### AppdefEntityNotFoundException

    protected AppdefEntityNotFoundException(AppdefEntityID id)

### AppdefEntityNotFoundException

    protected AppdefEntityNotFoundException(AppdefEntityID id,
                                            java.lang.Throwable t)

Method Detail

### getNotFoundID

    public AppdefEntityID getNotFoundID()

### setNotFoundID

    public void setNotFoundID(AppdefEntityID id)

### getAppdefType

    public abstract int getAppdefType()

### build

    public static AppdefEntityNotFoundException build(AppdefEntityID id,
                                                      java.lang.Exception e)

  Create an exception of the appropriate subclass based on id.getType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.